# gldeinterlace

Deinterlace video using OpenGL fragment shaders.

## Examples

     gst-launch-1.0 videotestsrc ! glupload ! gldeinterlace ! glimagesink

FBO (Frame Buffer Object) and GLSL (OpenGL Shading Language) are required.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstGLBaseFilter
                            ╰──GstGLFilter
                                ╰──gldeinterlace

## Factory details

Authors: – Julien Isorce <julien.isorce@mail.com></julien.isorce@mail.com>

Classification: – `Deinterlace`

Rank – none

Plugin – opengl

Package – GStreamer Base Plug-ins

## Pad Templates

### `sink`

    video/x-raw(ANY):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

    video/x-raw(ANY):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Gldeinterlace-method *

Select which deinterlace method apply to GL video texture

Flags : Read / Write

Default value : vfir (0)

## Named constants

### Gldeinterlace-method

#### Members

`vfir` (0) – Blur Vertical
`greedyh` (1) – Motion Adaptive: Advanced Detection

The results of the search are